Subject: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 13 May 2019 13:14:05 -0700

Katsumi Yamaoka <[email-masked]> writes:

>> On 04/23/19 17:12 PM, Katsumi Yamaoka wrote:
>>> Though I'm not quite sure
>>> yet, the new and the old newsrc.eld files (containing non-ASCII
>>> nnml and nnrss groups) seem to be compatible with the new and
>>> the old Gnus mutually.
>
> Not mutually but one-way from old Gnus[1] to new Gnus[2] is ok.
> To activate the groups of the non-ASCII names for the old Gnus,
> I realized I needed to convert those group names to that of
>
> (prin1-to-string (encode-coding-string "Group Name" 'utf-8))
>
> one by one in the .newsrc.eld file before starting the old Gnus.
> No other tweak is necessary to switch back to the old Gnus, and
> nothing to be done to switch to the new Gnus again.  I verified
> it with only nnml and nnrss groups as I tried Gnus of the latest
> git master today for the first time in about a month.
>
> [1] currently that of the master and the emacs-26 branches
> [2] currentlt that of the scratch/gnus-decoded branch

Thanks for the analysis. I think I only had nnimap groups that were
properly (utf-8) encoded in .newsrc.eld, but still worked with the "old"
Gnus code (in your sense, above). I guess that was different with
nnml/nnrss.

I have some more group sorting issues to fix in the current master code,
then I'll call for testers for the scratch/gnus-decoded branch, then
hopefully this whole thing can go in.

Thanks again,
Eric